1. Manage
PAYBETA API
  • Bill Payment API
  • Webhook
  • Paybeta Commission
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
    • Payment
  • Gaming
    • Get Providers
    • Validate Account
    • Payment
  • Wallet
    • Balance
  • Education
    • Get Providers
    • Get Exam Types
  • Webhook (reference)
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
      • Create - Data (monthly)
      • Create - Cable TV (monthly)
      • Create - Electricity (weekly)
    • Manage
      • List schedules
        GET
      • Get schedule
        GET
      • Update schedule
        PUT
      • Pay now
        POST
      • Retry failed run
        POST
      • Pause
        POST
      • Resume
        POST
      • Cancel (archive)
        POST
      • Re-enable
        POST
      • Delete
        DELETE
  • Transaction Query
    POST
  1. Manage

Get schedule

GET
https://api.paybeta.ng/v2/scheduled-payments/{{scheduleReference}}
One schedule including its full run history (runs).

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.paybeta.ng/v2/scheduled-payments/{{scheduleReference}}' \
--header 'Accept: application/json' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json'
Response Response Example
200 - Success
{
  "success": true,
  "data": {
    "reference": "SCH-7F3K9QX2AB12",
    "service": "data",
    "service_label": "Internet Data",
    "biller": "mtn_data",
    "biller_label": "MTN Data",
    "biller_code": "mtn-1gb-30days",
    "product_name": "MTN 1GB - 30 Days",
    "customer_id": "08031234567",
    "customer_name": null,
    "amount": 1000.0,
    "frequency": "monthly",
    "frequency_label": "Monthly",
    "starts_at": "2026-11-01T09:00:00+01:00",
    "ends_at": null,
    "next_run_at": "2026-11-01T09:00:00+01:00",
    "status": "active",
    "failure_reason": null,
    "can_retry": false,
    "can_cancel": true,
    "can_pause": true,
    "can_pay_now": true,
    "can_resume": false,
    "resume_needs_start_at": false,
    "paused_at": null,
    "can_edit": true,
    "archived": false,
    "can_reactivate": false,
    "can_delete": false,
    "reactivation_needs_start_at": false,
    "cancelled_at": null,
    "total_runs": 1,
    "last_run_at": "2026-11-01T09:00:12+01:00",
    "last_run": {
      "cycle": 1,
      "attempt": 1,
      "trigger": "auto",
      "due_at": "2026-11-01T09:00:00+01:00",
      "status": "delivered",
      "response_description": "TRANSACTION SUCCESSFUL",
      "transaction_id": "API-17619840121234567",
      "reference": "SCH-7F3K9QX2AB12-K3P9XQ2M",
      "amount": 1000.0,
      "charged_amount": 970.0,
      "token": null,
      "started_at": "2026-11-01T09:00:02+01:00",
      "finished_at": "2026-11-01T09:00:12+01:00"
    },
    "description": "Data for Mum",
    "summary": "Internet Data scheduled for the beneficiary 08031234567",
    "created_at": "2026-10-05T12:00:00+01:00",
    "runs": [
      {
        "cycle": 1,
        "attempt": 1,
        "trigger": "auto",
        "due_at": "2026-11-01T09:00:00+01:00",
        "status": "delivered",
        "response_description": "TRANSACTION SUCCESSFUL",
        "transaction_id": "API-17619840121234567",
        "reference": "SCH-7F3K9QX2AB12-K3P9XQ2M",
        "amount": 1000.0,
        "charged_amount": 970.0,
        "token": null,
        "started_at": "2026-11-01T09:00:02+01:00",
        "finished_at": "2026-11-01T09:00:12+01:00"
      }
    ]
  }
}
Modified at 2026-10-05 19:53:45
Previous
List schedules
Next
Update schedule
Built with